Project

General

Profile

Actions

Regression #15152

closed

Systems with low RAM fail to upgrade to 24.03

Added by Steve Wheeler 5 months ago. Updated 4 months ago.

Status:
Resolved
Priority:
High
Assignee:
-
Category:
Operating System
Target version:
Start date:
Due date:
% Done:

0%

Estimated time:
Plus Target Version:
24.03
Release Notes:
Force Exclusion
Affected Version:
Affected Architecture:
SG-1100

Description

The 1100 fails to upgrade to 24.03 with 'no space left' errors. This appears to be on any tmpfs device. So that's /var/run on a default install or /var, /tmp if ram disks are enabled.

There are new tmpfs values in FreeBSD 15 which are probably affecting this.

The 1100 has 1GB RAM but any low RAM system is likely affected. The 2100, with 4GB, upgrades no problem.

With RAM disks enabled:

[46/241] Extracting dbus-1.14.10_1,1: ........
pkg-static: Fail to create temporary directory: /var/.pkgtemp.lib.ixFrQrANvzd0:No space left on device
pkg-static: Fail to create /var/lib:No space left on device
[46/241] Extracting dbus-1.14.10_1,1... done
>>> Unlocking package pfSense-pkg-aws-wizard... done.
>>> Unlocking package pfSense-pkg-ipsec-profile-wizard... done.
>>> Unlocking package pfSense-pkg-nut... done.
/etc/pfSense-rc: /usr/local/sbin/php-fpm: not found
/etc/pfSense-rc: /etc/rc.ecl: not found
Launching the init system.../etc/pfSense-rc: /etc/rc.bootup: not found
Starting CRON... done.
/usr/local/libexec/pfSense-upgrade: php: not found
/usr/local/libexec/pfSense-upgrade: php: not found
/usr/local/libexec/pfSense-upgrade: php: not found
/usr/local/libexec/pfSense-upgrade: /usr/local/sbin/-repo-setup: not found
fcgicli: Could not connect to server(/var/run/php-fpm.socket).
/etc/rc.update_pkg_metadata: /usr/local/sbin/read_global_var: not found
Netgate pfSense Plus 23.09.1-RELEASE arm64 20231206-2022
Bootup complete

FreeBSD/arm64 (Amnesiac) (ttyu0)

login: 

Actions

Also available in: Atom PDF